import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel, Pagination, PagingResponseModel } from '../../shared';
import { PowerSearchContainerModel } from '../../../../../../models';
import { Observable } from 'rxjs';
export declare class PowerSearchService extends BaseApiTemplateService<PowerSearchContainerModel> {
    constructor(http: HttpClient);
    getByCriteriaAdvancedSearchPublicEp(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<PowerSearchContainerModel>>;
    getSlimListingByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<PowerSearchContainerModel>>;
    getTotalRecordByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<BasicApiResponseModel<any>>;
    getListingByEntityBranch(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<PowerSearchContainerModel>>;
}
